Loading...
Searching...
No Matches
opengv::absolute_pose::MANoncentralAbsolute Class Reference

`#include <MANoncentralAbsolute.hpp>`

Inheritance diagram for opengv::absolute_pose::MANoncentralAbsolute:

## Public Member Functions

EIGEN_MAKE_ALIGNED_OPERATOR_NEW | MANoncentralAbsolute (const double *points, const double *bearingVectors, int numberPoints, int numberBearingVectors)
| Constructor. See protected class-members to understand parameters.
virtual | ~MANoncentralAbsolute ()
virtual opengv::bearingVector_t | getBearingVector (size_t index) const
virtual double | getWeight (size_t index) const
virtual opengv::translation_t | getCamOffset (size_t index) const
virtual opengv::rotation_t | getCamRotation (size_t index) const
virtual opengv::point_t | getPoint (size_t index) const
virtual size_t | getNumberCorrespondences () const
Public Member Functions inherited from opengv::absolute_pose::AbsoluteAdapterBase
EIGEN_MAKE_ALIGNED_OPERATOR_NEW | AbsoluteAdapterBase ()
| Constructor.
| AbsoluteAdapterBase (const opengv::rotation_t &R)
| Constructor.
| AbsoluteAdapterBase (const opengv::translation_t &t, const opengv::rotation_t &R)
| Constructor.
virtual | ~AbsoluteAdapterBase ()
| Destructor.
opengv::translation_t | gett () const
| Retrieve the prior or known value for the position.
void | sett (const opengv::translation_t &t)
| Set the prior or known value for the position.
opengv::rotation_t | getR () const
| Retrieve the prior or known value for the rotation.
void | setR (const opengv::rotation_t &R)
| Set the prior or known value for the rotation.

## Protected Attributes

const double * | _points
const double * | _bearingVectors
int | _numberPoints
int | _numberBearingVectors
opengv::translation_t | _t
opengv::rotation_t | _R
Protected Attributes inherited from opengv::absolute_pose::AbsoluteAdapterBase
opengv::translation_t | _t
opengv::rotation_t | _R

## Detailed Description

Check the documentation of the parent-class to understand the meaning of an AbsoluteAdapter. This child-class is for the non-central case and holds data in form of pointers to matlab-data.

## Constructor & Destructor Documentation

## ~MANoncentralAbsolute()

virtual opengv::absolute_pose::MANoncentralAbsolute::~MANoncentralAbsolute | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## getBearingVector()

virtual opengv::bearingVector_t opengv::absolute_pose::MANoncentralAbsolute::getBearingVector | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteAdapterBase.

## getCamOffset()

virtual opengv::translation_t opengv::absolute_pose::MANoncentralAbsolute::getCamOffset | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteAdapterBase.

## getCamRotation()

virtual opengv::rotation_t opengv::absolute_pose::MANoncentralAbsolute::getCamRotation | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteAdapterBase.

## getNumberCorrespondences()

virtual size_t opengv::absolute_pose::MANoncentralAbsolute::getNumberCorrespondences | ( |  | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteAdapterBase.

## getPoint()

virtual opengv::point_t opengv::absolute_pose::MANoncentralAbsolute::getPoint | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteAdapterBase.

## getWeight()

virtual double opengv::absolute_pose::MANoncentralAbsolute::getWeight | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteAdapterBase.

## Member Data Documentation

## _bearingVectors

const double* opengv::absolute_pose::MANoncentralAbsolute::_bearingVectors

protected

A pointer to the bearing-vectors

## _numberBearingVectors

int opengv::absolute_pose::MANoncentralAbsolute::_numberBearingVectors

protected

The number of bearing vectors

## _numberPoints

int opengv::absolute_pose::MANoncentralAbsolute::_numberPoints

protected

The number of points

## _points

const double* opengv::absolute_pose::MANoncentralAbsolute::_points

protected

A pointer to the point data

## _R

opengv::rotation_t opengv::absolute_pose::AbsoluteAdapterBase::_R

protected

The prior or known value for the rotation from the viewpoint back to the world frame. Initialized to identity if not provided.

## _t

opengv::translation_t opengv::absolute_pose::AbsoluteAdapterBase::_t

protected

The prior or known value for the position of the viewpoint seen from the world frame. Initialized to zero if not provided.

The documentation for this class was generated from the following file:

- include/opengv/absolute_pose/MANoncentralAbsolute.hpp